package io.hmit.modules.sys.service;

import io.hmit.common.page.PageData;
import io.hmit.common.service.BaseService;
import io.hmit.modules.sys.dto.SysDictTypeDTO;
import io.hmit.modules.sys.entity.DictType;
import io.hmit.modules.sys.entity.SysDictTypeEntity;

import java.util.List;
import java.util.Map;

/**
 * 数据字典
 *
 * @author zsh 408538940@qq.com
 */
public interface SysDictTypeService extends BaseService<SysDictTypeEntity> {

    PageData<SysDictTypeDTO> page(Map<String, Object> params);

    SysDictTypeDTO get(Long id);

    void save(SysDictTypeDTO dto);

    void update(SysDictTypeDTO dto);

    void delete(Long[] ids);

    /**
     * 获取所有字典
     */
    List<DictType> getAllList();

}